
Redmine - Feature #5131

Query.has_column() should support has_column(:column_name)

2010-03-19 18:42 - Randy Syring

Status: Closed Start date: 2010-03-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

(01:36:10 PM) edavis10: rsyring: @query.has_column() expects a QueryColumn object

(01:36:54 PM) edavis10: rsyring: though we should change it to support @query.has_column(:name) and

@query.has_column?(QueryColumn....)

History

#1 - 2010-03-19 19:33 - Randy Syring

I have a topic branch with this mod and tests completed:

http://github.com/rsyring/redmine/tree/5131_has_column_mod

#2 - 2013-01-12 20:08 - Daniel Felix

Hi there,

any news on this ticket?

#3 - 2013-01-12 23:07 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Fixed

This has been done some time ago with r8073, see source:/trunk/app/models/query.rb@11174#L390.

It just takes a String instead of a Symbol.
